# Validate kill bill credentials

> POST /connections/killbill/validate

Source: https://docs.trykintsugi.com/reference/2026-07-21/validate-kill-bill-credentials

POST /connections/killbill/validate

Validate kill bill credentials

Probe Kill Bill tenant credentials without persisting a connection, returning the resolved tenant id. Returns 400 if authentication fails.

Category: Connections

Request body:
baseUrl (string, required) - Kill Bill server base URL.
apiKey (string, required) - Kill Bill tenant API key.
apiSecret (string, required) - Kill Bill tenant API secret.
adminUsername (string) - Kill Bill Basic-auth admin username.
adminPassword (string, required) - Kill Bill Basic-auth admin password.

Response fields:
tenantId (string) - Kill Bill tenant id resolved by the probe.

Response statuses: 200, 400, 401, 403, 404, 422

---

Index of every page: https://docs.trykintsugi.com/llms.txt
